Subject: Re: [PATCH] git-gui: use themed tk widgets with Tk 8.5

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 27 Jan 2010 16:51:42 -0800

Pat Thoyts <[email-masked]> wrote:
> 
> This patch enables the use of themed Tk widgets with Tk 8.5 and above.
> These make a significant difference on Windows in making the
> application appear native. On Windows and MacOSX ttk defaults to the
> native look as much as possible. On X11 the user may select a theme
> using the TkTheme XRDB resource class by adding an line to the
> .Xresources file. The set of installed theme names is available using
> the Tk command 'ttk::themes'. The default on X11 is similar to the current
> un-themed style - a kind of thin bordered motif look.
> 
> A new git config variable 'gui.usettk' may be set to disable this if
> the user prefers the classic Tk look. Using Tk 8.4 will also avoid the
> use of themed widgets as these are only available since 8.5.
> 
> Some support is included for Tk 8.6 features (themed spinbox and native
> font chooser for MacOSX and Windows).

Thanks.  I've been running with this pretty much all day today;
it seems sane.  I'll probably push it shortly.

-- 
Shawn.